package com.iformall.enums;

public enum EnumMerchantType {

    MERCHANT_MORE(-1, "多商户")
    ;

    public static EnumMerchantType getEnum(Integer code) {
        for (EnumMerchantType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMerchantType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
